// Copyright (c) 1995 James Clark
// See the file COPYING for copying permission.

#ifndef LineOutputCodingSystem_INCLUDED
#define LineOutputCodingSystem_INCLUDED 1
#ifdef __GNUG__
#pragma interface
#endif

#include "types.H"
#include "CodingSystem.H"

class LineOutputCodingSystem : public OutputCodingSystem {
public:
  LineOutputCodingSystem(const OutputCodingSystem *, Char rs, Char re,
			 Char term1, Char term2 = '\0');
  Encoder *makeEncoder() const;
private:
  const OutputCodingSystem *sub_;
  Char rs_, re_;
  Char term1_, term2_;
};

#endif /* not LineOutputCodingSystem_INCLUDED */
