// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "Owner.H"
#include "Vector.H"
#include "GrowableVector.H"
#include "GrowableVectorD.H"
#include "RastEventHandler.H"
#include "IQueue.H"
#include "Owner.H"
#undef DEFINE_TEMPLATES

#include <stddef.h>
#include "Event.H"
#include "CodingSystem.H"

#ifdef __DECCXX
#pragma define_template VectorBase<Vector<size_t> >
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<Vector<size_t> >;
#else
typedef VectorBase<Vector<size_t> > Dummy_0;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Vector<size_t> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Vector<size_t> >;
#else
typedef GrowableVectorD<Vector<size_t> > Dummy_1;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<const char *>
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<const char *>;
#else
typedef VectorBase<const char *> Dummy_2;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVector<const char *>
#else
#ifdef ANSI_CLASS_INST
template class GrowableVector<const char *>;
#else
typedef GrowableVector<const char *> Dummy_3;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<SimpleLinkEvent>
#else
#ifdef ANSI_CLASS_INST
template class Owner<SimpleLinkEvent>;
#else
typedef Owner<SimpleLinkEvent> Dummy_4;
#endif
#endif
#ifdef __DECCXX
#pragma define_template VectorBase<Owner<SimpleLinkEvent> >
#else
#ifdef ANSI_CLASS_INST
template class VectorBase<Owner<SimpleLinkEvent> >;
#else
typedef VectorBase<Owner<SimpleLinkEvent> > Dummy_5;
#endif
#endif
#ifdef __DECCXX
#pragma define_template GrowableVectorD<Owner<SimpleLinkEvent> >
#else
#ifdef ANSI_CLASS_INST
template class GrowableVectorD<Owner<SimpleLinkEvent> >;
#else
typedef GrowableVectorD<Owner<SimpleLinkEvent> > Dummy_6;
#endif
#endif
#ifdef __DECCXX
#pragma define_template IQueue<LinkRulePi>
#else
#ifdef ANSI_CLASS_INST
template class IQueue<LinkRulePi>;
#else
typedef IQueue<LinkRulePi> Dummy_7;
#endif
#endif
#ifdef __DECCXX
#pragma define_template Owner<Encoder>
#else
#ifdef ANSI_CLASS_INST
template class Owner<Encoder>;
#else
typedef Owner<Encoder> Dummy_8;
#endif
#endif

#endif /* MANUAL_INST */
