#ifndef PosixHttpStorage_INCLUDED
#define PosixHttpStorage_INCLUDED 1

#include "StorageManager.H"

class PosixHttpStorageManager : public StorageManager {
public:
  PosixHttpStorageManager(const char *type);
  StorageObject *makeStorageObject(const CString &id,
				   Messenger &); 
  void mergeId(CString &id, const CString &specId);
  const char *type() const;
  Boolean inheritable() const;
private:
  PosixHttpStorageManager(const PosixHttpStorageManager &); // undefined
  void operator=(const PosixHttpStorageManager &);	    // undefined
  const char *type_;
};

#endif /* not PosixHttpStorage_INCLUDED */
