// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#ifndef EventGenerator_INCLUDED
#define EventGenerator_INCLUDED 1

#ifdef __GNUG__
#pragma interface
#endif

#include "SGMLApplication.H"

class EventGenerator {
public:
  virtual ~EventGenerator();
  virtual void run(SGMLApplication &) = 0;
  // called after run
  virtual unsigned nErrors() const = 0;
  // may be called at any time
  virtual void inhibitMessages(bool);
};

#endif /* not EventGenerator_INCLUDED */
