// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "Owner.H"
#include "Vector.H"
#include "GrowableVector.H"
#include "GrowableVectorD.H"
#include "RastEventHandler.H"
#include "IQueue.H"
#include "Owner.H"
#undef DEFINE_TEMPLATES

#include <stddef.h>
#include "Event.H"
#include "CodingSystem.H"

__instantiate(VectorBase<Vector<size_t> >)
__instantiate(GrowableVectorD<Vector<size_t> >)
__instantiate(VectorBase<const char *>)
__instantiate(GrowableVector<const char *>)
__instantiate(Owner<SimpleLinkEvent>)
__instantiate(VectorBase<Owner<SimpleLinkEvent> >)
__instantiate(GrowableVectorD<Owner<SimpleLinkEvent> >)
__instantiate(IQueue<LinkRulePi>)
__instantiate(Owner<Encoder>)

#endif /* MANUAL_INST */
