// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#include "config.h"

#ifdef MANUAL_INST

#define DEFINE_TEMPLATES
#include "StringOf.H"
#include "Vector.H"
#include "GrowableVector.H"
#include "GrowableVectorD.H"
#include "CopyGrowableVectorD.H"
#include "HashTable.H"
#include "ListIter.H"
#include "IList.H"
#include "List.H"
#include "DOwner.H"
#undef DEFINE_TEMPLATES

#include "StorageManager.H"
#include "EntityManager.H"
#include "OffsetOrderedList.H"
#include "CodingSystem.H"
#include "Catalog.H"
#include "types.H"
#include "StringOf.H"
#include "DescriptorManager.H"
#include "StorageManager.H"
#include "Boolean.H"
#include "RegisteredCodingSystem.H"
#include "StorageObjectPosition.H"
class StorageManager;

__instantiate(String<char>)
__instantiate(Vector<DOwner<StorageObject> >)
__instantiate(GrowableVectorD<StorageObjectSpec>)
__instantiate(CopyGrowableVectorD<StorageObjectSpec>)
__instantiate(GrowableVectorD<DOwner<OffsetOrderedListBlock> >)
__instantiate(Vector<StorageObjectPosition>)
__instantiate(`HashTable<String<Char>,CatalogEntry>')
__instantiate(`HashTableIter<String<Char>,CatalogEntry>')
__instantiate(`HashTableItem<String<Char>, CatalogEntry>')
__instantiate(IList<ListItem<DescriptorUser*> >)
__instantiate(List<DescriptorUser*>)
__instantiate(ListIter<DescriptorUser *>)
__instantiate(ListItem<DescriptorUser*>)
__instantiate(IListIter<ListItem<DescriptorUser*> >)
__instantiate(DOwner<StorageObject>)
__instantiate(DOwner<Decoder>)
__instantiate(DOwner<OffsetOrderedListBlock>)
__instantiate(GrowableVector<StorageManager *>)
__instantiate(GrowableVector<PackedBoolean>)
__instantiate(GrowableVector<RegisteredCodingSystem>)

#endif /* MANUAL_INST */
