// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#ifndef config_INCLUDED
#define config_INCLUDED 1

#define INCLUDE_UNISTD_H
#define POSIX_FILENAMES

#ifdef __GNUG__
#define DECLARE_GETOPT
// It's not missing, but it pulls in libg++
#define NEW_H_MISSING
// set_new_handler() has to be declared extern "C"
#define SET_NEW_HANDLER_EXTERN_C
#ifndef MANUAL_INST
#define MANUAL_INST
#endif
#ifndef ANSI_CLASS_INST
#define ANSI_CLASS_INST
#endif
#ifndef HAVE_BOOL
#define HAVE_BOOL
#endif
#endif

#if defined(sun) || defined(__sun)
// struct stat has st_blksize member
#define STAT_BLKSIZE
#endif

#if _MSC_VER == 900
// Microsoft Visual C++ 2.0
#undef INCLUDE_UNISTD_H
#define INCLUDE_IO_H
#define DECLARE_GETOPT
#ifndef MANUAL_INST
#define MANUAL_INST
#endif
#ifndef ANSI_CLASS_INST
#define ANSI_CLASS_INST
#endif
#undef POSIX_FILENAMES
#define MSDOS_FILENAMES
#define SHORT_HEADERS
#pragma warning ( disable : 4660 ) // already instantiated
#pragma warning ( disable : 4661 ) // missing def for decl member
#pragma warning ( disable : 4786 ) // debug symbol truncated (>255 chars)
#pragma warning ( disable : 4018 ) // signed/unsigned mismatch
#pragma pointers_to_members ( full_generality, single_inheritance )
#define huge verybig
#define DECLARE_PLACEMENT_OPERATOR_NEW
#define set_new_handler _set_new_handler
// Function passed to set_new_handler() returns int and takes size_t argument.
#define FANCY_NEW_HANDLER
#endif

#ifdef __WATCOMC__
// Watcom C++ 10.0a
#define MANUAL_INST
#undef POSIX_FILENAMES
#define MSDOS_FILENAMES
#undef INCLUDE_UNISTD_H
#define INCLUDE_IO_H
#pragma warning 004 9
#undef huge
#define DECLARE_GETOPT
// Cannot handle T::~T in template.
#define QUAL_TEMPLATE_DTOR_BROKEN
#endif

#endif /* not config_INCLUDED */
