// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#ifdef __GNUG__
#pragma implementation
#endif

#include "config.h"
#include "Fragments.H"

const char Fragments::domain[] = "SgmlParserFragments";

const char Fragments::invalidFragment[] = "(invalid fragment)";
const char Fragments::delimStart[] = "delimiter ";
const char Fragments::delimEnd[] = "";	// comes after delimiter
const char Fragments::digit[] = "digit";
const char Fragments::nameStartCharacter[] = "name start character";
const char Fragments::sepchar[] = "sepchar";
const char Fragments::separator[] = "separator";
const char Fragments::nameCharacter[] = "name character";
const char Fragments::dataCharacter[] = "data character";
const char Fragments::minimumDataCharacter[] = "minimum data character";
const char Fragments::significantCharacter[] = "significant character";
const char Fragments::recordEnd[] = "record end character";
const char Fragments::recordStart[] = "record start character";
const char Fragments::space[] = "space character";
const char Fragments::listSep[] = ", ";
const char Fragments::rangeSep[] = "-";
const char Fragments::parameterLiteral[] = "parameter literal";
const char Fragments::dataTagGroup[] = "data tag group";
const char Fragments::modelGroup[] = "model group";
const char Fragments::dataTagTemplateGroup[] = "data tag template group";
const char Fragments::name[] = "name";
const char Fragments::nameToken[] = "name token";
const char Fragments::elementToken[] = "element token";
const char Fragments::inclusions[] = "inclusions";
const char Fragments::exclusions[] = "exclusions";
const char Fragments::minimumLiteral[] = "minimum literal";
const char Fragments::attributeValueLiteral[] = "attribute value literal";
const char Fragments::systemIdentifier[] = "system identifier";
const char Fragments::number[] = "number";
const char Fragments::attributeValue[] = "attribute value";
const char Fragments::capacityName[] = "name of capacity";
const char Fragments::generalDelimiteRoleName[] = "name of general delimiter role";
const char Fragments::referenceReservedName[] = "reference reserved name";
const char Fragments::quantityName[] = "name of quantity";
const char Fragments::entityEnd[] = "entity end";
