// Copyright (c) 1994 James Clark
// See the file COPYING for copying permission.

#ifndef Fragments_INCLUDED
#define Fragments_INCLUDED 1

#ifdef __GNUG__
#pragma interface
#endif

struct Fragments {
  static const char invalidFragment[];
  static const char delimStart[];
  static const char delimEnd[];
  static const char digit[];
  static const char nameStartCharacter[];
  static const char sepchar[];
  static const char separator[];
  static const char nameCharacter[];
  static const char dataCharacter[];
  static const char minimumDataCharacter[];
  static const char significantCharacter[];
  static const char recordEnd[];
  static const char recordStart[];
  static const char space[];
  static const char listSep[];
  static const char rangeSep[];
  static const char parameterLiteral[];
  static const char dataTagGroup[];
  static const char modelGroup[];
  static const char dataTagTemplateGroup[];
  static const char name[];
  static const char nameToken[];
  static const char elementToken[];
  static const char inclusions[];
  static const char exclusions[];
  static const char minimumLiteral[];
  static const char attributeValueLiteral[];
  static const char systemIdentifier[];
  static const char number[];
  static const char attributeValue[];
  static const char capacityName[];
  static const char generalDelimiteRoleName[];
  static const char referenceReservedName[];
  static const char quantityName[];
  static const char entityEnd[];

  static const char domain[];
};

#endif /* not Fragments_INCLUDED */
